A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
erode3d
ArrayFire Functions | ArrayFire Functions by Category » Image Processing » Morphological Operations

Erosion(morphological operator) for volumes More...

## Functions
AFAPI array | erode3 (const array &in, const array &mask)
| C++ Interface for 3d for image erosion.
AFAPI af_err | af_erode3 (af_array *out, const af_array in, const af_array mask)
| C Interface for 3D image erosion.

## Detailed Description

Erosion(morphological operator) for volumes

Erosion for a volume is similar to the way erosion works on an image. Only difference is that the masking operation is performed on a volume instead of a rectangular region.

For further reference, see: Erosion (morphology)

## Function Documentation

## ◆ af_erode3()

AFAPI af_err af_erode3 | ( | af_array * | out,
|  | const af_array | in,
|  | const af_array | mask )

C Interface for 3D image erosion.

Parameters

  [out] | out | array is the eroded volume
  [in] | in | array is the input volume
  [in] | mask | is the neighborhood delta volume

Returns
  AF_SUCCESS if the eroded successfully, otherwise an appropriate error code is returned.

## ◆ erode3()

AFAPI array erode3 | ( | const array & | in,
|  | const array & | mask )

C++ Interface for 3d for image erosion.

Parameters

  [in] | in | array is the input volume
  [in] | mask | is the neighborhood delta volume

Returns
  the eroded volume